package com.lilosoft.api.api;

import com.github.lianjiatech.retrofit.spring.boot.annotation.RetrofitClient;
import com.lilosoft.api.bean.RobotCaseRecord;
import com.lilosoft.core.model.JsonResult;
import org.springframework.stereotype.Component;
import retrofit2.http.Body;
import retrofit2.http.GET;
import retrofit2.http.POST;
import retrofit2.http.Query;

@Component
@RetrofitClient(baseUrl = "${api.apiUrl}",connectTimeoutMs=50000,readTimeoutMs=50000,writeTimeoutMs = 50000)
public interface RobotApi {


    /**
     * 保存对接原始数据
     */
    @POST("lilo/robotCaseRecord/save")
    JsonResult saveRecord(@Body RobotCaseRecord bean);

    /**
     * 获取对接失败数据
     * @param areaCode 地区编码
     * @param sendFlag 推送状态，0:初始化，1:失败 2:成功
     * @return
     */
    @GET("lilo/robotCaseRecord/queryList")
    JsonResult queryRecordList(@Query("areaCode") String areaCode, @Query("sendFlag") String sendFlag);



}
