package com.lilosoft.config;

import com.lilosoft.core.filter.xss.XssAndSqlFilter;
import org.springframework.boot.autoconfigure.condition.ConditionalOnProperty;
import org.springframework.boot.web.servlet.FilterRegistrationBean;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import javax.servlet.DispatcherType;

/**
 * Filter配置
 *
 * @author qiusheng
 */
@Configuration
public class FilterConfig {

    /**
     * xssFilter注册
     * @return
     */
    @Bean
    @ConditionalOnProperty(prefix = "api", name = "xss-open", havingValue = "true")
    public FilterRegistrationBean xssFilterRegistration()
    {
        FilterRegistrationBean registration = new FilterRegistrationBean();
        registration.setDispatcherTypes(DispatcherType.REQUEST);
        registration.setFilter(new XssAndSqlFilter());
        registration.addUrlPatterns("/*");
        registration.addInitParameter("ignoreUrl", "/api/apply,/api/download");
        registration.addInitParameter("isConvert", "false");
        registration.setName("xssFilter");
        registration.setOrder(Integer.MAX_VALUE);
        return registration;
    }
}
